Bug 120203 - (VFS)can not mount my fat32 disk drive
(VFS)can not mount my fat32 disk drive
Product: Fedora
Classification: Fedora
Component: kernel (Show other bugs)
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Arjan van de Ven
Brian Brock
Depends On:
  Show dependency treegraph
Reported: 2004-04-06 15:05 EDT by Don Hardaway
Modified: 2007-11-30 17:10 EST (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2004-05-03 09:33:02 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Don Hardaway 2004-04-06 15:05:01 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.6)
Gecko/20040225 Firefox/0.8

Description of problem:
This is what happens when i try to mount my other drive in fat32 format.

[root@localhost root]# mount /dev/hda1 /mnt/hda1 -t vfat -o,w,umask=2220
mount: wrong fs type, bad option, bad superblock on /dev/hda1,
       or too many mounted file systems

Version-Release number of selected component (if applicable):
kernel is the latest 305

How reproducible:

Steps to Reproduce:
1.type in mount command

Actual Results:  gives an error

Expected Results:  should mount the drive

Additional info:
Comment 1 Bill Nottingham 2004-04-06 18:08:45 EDT
Do you get any policy error messages?
Comment 2 Don Hardaway 2004-04-06 18:51:02 EDT
not in the terminal window--up above you can see exactly what i get.
Do you want me to look in some log file?
Comment 3 Don Hardaway 2004-04-07 21:16:19 EDT
Got it to work. Had to use this command-- mount /dev/hda1 /mnt/hda1 -t
vfat instead of what i used to have to use: mount /dev/hda1 /mnt/hda1
-t vfat -o,w,umask=2220.
Comment 4 Alan Cox 2004-05-03 09:33:02 EDT
I think this is just a case of the kernel being fussier about options
now. Particularly the -o, which is a null option 

Note You need to log in before you can comment on or make changes to this bug.